Bug 835594 - lab controller can't lookup secret/NDA machines
lab controller can't lookup secret/NDA machines
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: lab controller (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 0.9.1
: ---
Assigned To: Bill Peck
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-26 10:42 EDT by Bill Peck
Modified: 2012-07-19 20:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-19 20:38:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Peck 2012-06-26 10:42:40 EDT
Description of problem:

Now that the lab controller has to talk back to the scheduler it needs to be able to lookup all systems.  Some systems are marked secret/NDA and the lab doesn't have permission to look them up.

Version-Release number of selected component (if applicable):
0.9.0-4

Temporary workaround was to add the lab controller accounts to the admin group.  But we should change the host lookup code to allow users in the labcontroller group to look up secret machines as well.
Comment 1 Bill Peck 2012-07-10 16:07:29 EDT
http://gerrit.beaker-project.org/#/c/1198/
Comment 5 Dan Callaghan 2012-07-19 20:38:34 EDT
Beaker 0.9.1 has been released.

Note You need to log in before you can comment on or make changes to this bug.